Bug 183578 - Swedish alt-gr and keys like aring, ouml, auml, pipe... missing
Summary: Swedish alt-gr and keys like aring, ouml, auml, pipe... missing
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-02 02:19 UTC by Uno Engborg
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 17:20:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Uno Engborg 2006-03-02 02:19:26 UTC
Description of problem:

After the latest upgrade my Swedish keyboard seamed to stop working.
I can no longer type normal characters like aring, auml, ouml and alt-gr
seam to have stopped working too which results in loss of characters like
tilde, pound, square brackets.... Only keys normally found on an US keyboard
seam to work.
   
I'm using a Thinkpad R50e, with configured with the following in the
following options in the InputDevice section of the xorg.conf:

Option      "XkbModel" "pc105"
Option      "XkbLayout" "se" 

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.0.1-7

How reproducible:
Always

Steps to Reproduce:
1. Type a non US key
2.
3.
  
Actual results:
Nothing typed

Comment 1 Mike A. Harris 2006-03-06 21:50:59 UTC
Please attach your X server log and config as uncompressed file attachments
using the link below.

TIA

Comment 2 Mike A. Harris 2006-03-06 22:02:39 UTC
Also, please try using xev, and attaching output of that, and
then use "xkbcomp :0 -xkb out.xkb" and attach out.xkb



Comment 3 Sergey V. Udaltsov 2006-03-06 22:23:33 UTC
The main question - in xev, do you see any codes which would "resemble" somehow
missing letters - or is it outputting absolute nonsense?

Comment 4 Uno Engborg 2006-03-06 22:31:06 UTC
Actually, it seam to have been fixed by some yum update lately.
My guess it was, xorg-x11-xkbdata-1.0.1-6
So, unless there are no others that still have problems with this I suggest you
close it as fixed.

Comment 5 Mike A. Harris 2006-03-06 22:49:45 UTC
(In reply to comment #4)
> Actually, it seam to have been fixed by some yum update lately.
> My guess it was, xorg-x11-xkbdata-1.0.1-6
> So, unless there are no others that still have problems with this I suggest you
> close it as fixed.

But you filed the bug against xorg-x11-xkbdata-1.0.1-7, which is the current
one.  Can you clarify that -7 works?

Comment 6 Uno Engborg 2006-03-07 14:44:55 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > Actually, it seam to have been fixed by some yum update lately.
> > My guess it was, xorg-x11-xkbdata-1.0.1-6
> > So, unless there are no others that still have problems with this I suggest you
> > close it as fixed.
> 
> But you filed the bug against xorg-x11-xkbdata-1.0.1-7, which is the current
> one.  Can you clarify that -7 works?


It works.


Comment 7 Mike A. Harris 2006-06-14 17:20:10 UTC
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".




Note You need to log in before you can comment on or make changes to this bug.